# /sys/wrapping/lookup

The `/sys/wrapping/lookup` endpoint returns wrapping token properties.

### Wrapping lookup

This endpoint looks up wrapping properties for the given token.

| Method | Path                   |
| ------ | ---------------------- |
| `POST` | `/sys/wrapping/lookup` |

#### Parameters

* `token` `(string: <required>)` – Specifies the wrapping token ID.

#### Sample payload

```json
{
  "token": "abcd1234"
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/wrapping/lookup
```

#### Sample response

```json
{
  "request_id": "481320f5-fdf8-885d-8050-65fa767fd19b",
  "lease_id": "",
  "lease_duration": 0,
  "renewable": false,
  "data": {
    "creation_path": "sys/wrapping/wrap",
    "creation_time": "2016-09-28T14:16:13.07103516-04:00",
    "creation_ttl": 300
  },
  "wrap_info": null,
  "warnings": null,
  "auth": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-wrapping-lookup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
